Package org.eclipse.help.ui.internal

# Class ExecuteCommandAction

java.lang.Object
org.eclipse.help.ui.internal.ExecuteCommandAction

All Implemented Interfaces:
  `Runnable`, `ILiveHelpAction`

public class ExecuteCommandAction extends Object implements ILiveHelpAction
Executes a serialized parameterized command using the workbench command service. This class is intended to be called by the `executeCommand` function in `livehelp.js` (defined in `org.eclipse.help` plugin).

Since:
  3.2

## Constructor Summary

Constructors
Constructor
Description
`ExecuteCommandAction()`

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`
`void`
`setInitializationString(String data)`
This method will be called upon instantiation of the live help extension.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExecuteCommandAction

public ExecuteCommandAction()

## Method Details

### setInitializationString

public void setInitializationString(String data)
Description copied from interface: `ILiveHelpAction`
This method will be called upon instantiation of the live help extension. The data will be passed as specified in the help document live help link.

Specified by:
  `setInitializationString` in interface `ILiveHelpAction`
Parameters:
  `data` - - initialization data as a String

### run

public void run()

Specified by:
  `run` in interface `Runnable`